Retrieves a payment instrument.
Security
UserToken
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
- Production Environmenthttps://api.wise.com/2026Q4/profiles/{profileId}/payment-instruments/{paymentInstrumentId}
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q4/profiles/{profileId}/payment-instruments/{paymentInstrumentId}
curl -i -X GET \
'https://api.wise.com/2026Q4/profiles/{profileId}/payment-instruments/{paymentInstrumentId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'OK
Headers
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Response
{ "accountNumber": "string", "accountOwnerDetails": { "city": "string", "companyName": "string", "country": "string", "firstLine": "string", "postCode": "string", "state": "string" }, "bankCode": "string", "bankName": "string", "branchCode": "string", "disconnectReason": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "reference": "string", "status": "string", "type": "string" }